<template>
  <rich-text
    v-if="data.contType !== 'gap'"
    class="elem-rich-text"
    :text-json="data.content"
    :style="data.textStyles"
  ></rich-text>
  <div v-else class="elem-rich-text"></div>
</template>

<script>
import RichText from "@/components/RichText.vue";

export default {
  name: "ElemRichText",
  components: { RichText },
  props: {
    data: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  data() {
    return {};
  },
  methods: {},
};
</script>
